.custom-modal-content-margin {
    padding: 2px;
    background: #ff8181;
    border-radius: 12px;
}

.custom-modal {
    display: flex;
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4);
    align-items: center;
    justify-content: center;
    padding: 16px;
}

.custom-modal-content {
    width: 600px;
    max-width: 600px;
    height: auto;
    max-height: calc(100vh - 32px);
    background: #02162b;
    padding: 20px 20px 0px;
    border-radius: 12px;
    box-shadow: 0 4px 24px rgba(0, 0, 0, 0.2);
    text-align: center;
    position: relative;
    min-width: 300px;
    box-sizing: border-box;
    overflow-y: auto;
}

@media (max-width: 768px) {
    .custom-modal-content {
        height: auto;
        min-height: 240px;
        padding: 18px 16px 10px;
        min-width: 0;
        width: 100%;
    }
}

.custom-modal-close {
    position: absolute;
    right: 16px;
    top: 1px;
    font-size: 24px;
    color: #888;
    cursor: pointer;
    /*transform: translateY(-199px);*/
}

.custom-modal-close:hover {
    color: #ff8181;
}

#custom-modal-btn {
    margin-top: 20px;
    padding: 8px 24px;
    border: none;
    background: #254665;
    color: #fff;
    border-radius: 6px;
    font-size: 16px;
    cursor: pointer;
    transform: translateY(-30%);
}

#custom-modal-btn:hover {
    background: #ff8181;
}